summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-03-18 22:30:10 +0000
committerMike Frysinger <vapier@gentoo.org>2006-03-18 22:30:10 +0000
commit6306bf22cce0be743c0e0ee96c6f7d442a9f77f0 (patch)
tree0e188a276fa5f67eaf4104f3db1588ca77ccac9f /eclass/toolchain-binutils.eclass
parentFixes for bugs 119133, 123707, and 125561, plus modular X updates (diff)
downloadhistorical-6306bf22cce0be743c0e0ee96c6f7d442a9f77f0.tar.gz
historical-6306bf22cce0be743c0e0ee96c6f7d442a9f77f0.tar.bz2
historical-6306bf22cce0be743c0e0ee96c6f7d442a9f77f0.zip
add support for USE=vanilla
Diffstat (limited to 'eclass/toolchain-binutils.eclass')
-rw-r--r--eclass/toolchain-binutils.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index d5556409e44e..7ccc1d497cf0 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.56 2006/03/10 00:45:31 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.57 2006/03/18 22:30:10 vapier Exp $
# We install binutils into CTARGET-VERSION specific directories. This lets
# us easily merge multiple versions for multiple targets (if we wish) and
@@ -65,7 +65,7 @@ esac
SRC_URI="${SRC_URI} mirror://gentoo/elf2flt-${ELF2FLT_VER}.tar.bz2"
LICENSE="|| ( GPL-2 LGPL-2 )"
-IUSE="nls multitarget multislot test"
+IUSE="nls multitarget multislot test vanilla"
if use multislot ; then
SLOT="${CTARGET}-${BVER}"
elif [[ ${CTARGET} != ${CHOST} ]] ; then
@@ -99,14 +99,14 @@ tc-binutils_unpack() {
tc-binutils_apply_patches() {
cd "${S}"
- if [[ -n ${PATCHVER} ]] ; then
+ if ! use vanilla && [[ -n ${PATCHVER} ]] ; then
EPATCH_SOURCE=${WORKDIR}/patch
[[ -n $(ls "${EPATCH_SOURCE}"/*.bz2 2>/dev/null) ]] \
&& EPATCH_SUFFIX="patch.bz2" \
|| EPATCH_SUFFIX="patch"
epatch
fi
- if [[ -n ${UCLIBC_PATCHVER} ]] ; then
+ if ! use vanilla && [[ -n ${UCLIBC_PATCHVER} ]] ; then
EPATCH_SOURCE=${WORKDIR}/uclibc-patches
[[ -n $(ls "${EPATCH_SOURCE}"/*.bz2 2>/dev/null) ]] \
&& EPATCH_SUFFIX="patch.bz2" \